Bug 504177 - Review Request: perl-DBIx-Class-DynamicDefault - Automatically set and update fields
Review Request: perl-DBIx-Class-DynamicDefault - Automatically set and update...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/DBIx-Clas...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 11:38 EDT by Chris Weyl
Modified: 2009-06-08 21:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 21:44:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-06-04 11:38:12 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-DBIx-Class-DynamicDefault.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-DBIx-Class-DynamicDefault-0.03-1.fc10.src.rpm

Description:
Automatically set and update fields with values calculated at runtime.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1393609

Additional Comment:

This is a new BR of DBIx::Class::DateTime::Epoch.

*rt-0.10
Comment 1 Parag AN(पराग) 2009-06-05 00:27:54 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1393609
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
65f6772df56f6378edec315b22886f870d6bc3f1  DBIx-Class-DynamicDefault-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=14,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.23 cusr  0.02 csys =  0.27 CPU)
+ Package perl-DBIx-Class-DynamicDefault-0.03-1.fc12.noarch =>
Provides: perl(DBIx::Class::DynamicDefault) = 0.03
Requires: perl(parent) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Chris Weyl 2009-06-05 02:02:06 EDT
New Package CVS Request
=======================
Package Name: perl-DBIx-Class-DynamicDefault
Short Description: Automatically set and update fields
Owners: cweyl
Branches: F-9 F-10 F-11 devel
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-06-05 17:38:48 EDT
CVS done.
Comment 4 Chris Weyl 2009-06-08 21:44:29 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.